<?php
/*
Plugin Name: WP Janitor
Plugin URI: http://teknikforce.com/
Description: A highly customizable WP Plugin that curates high quality content for your blogs from Facebook pages on autopilot.
Author: TEKNIKFORCE
Version: 1.0.0
Author URI: http://teknikforce.com/
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'JANITOR_PLUGIN_PATH',			dirname(__FILE__).'/' );
define( 'JANITOR__PLUGIN_URL',			 untrailingslashit( plugins_url( '/', __FILE__ )) );
define( 'JANITOR__PLUGIN_BASENAME',  		plugin_basename( __FILE__ ));
define( 'JANITOR__VERSION',  				'1.0.0');
define( 'JANITOR__TEXT_DOMAIN',  			'wp-janitor');

if(class_exists('janitor_helper') != true)
    require_once(JANITOR_PLUGIN_PATH.'HelperClass.php');

if ( janitor_helper::is_request( 'admin' ) ) {	
	include_once(JANITOR_PLUGIN_PATH.'setting.php');
}

if ( janitor_helper::is_request( 'frontend' ) ) {	
	//Include Libs
	include_once(JANITOR_PLUGIN_PATH.'library/JanitorHtmlMin.php');
	include_once(JANITOR_PLUGIN_PATH.'library/JanitorCssMin.php');
	include_once(JANITOR_PLUGIN_PATH.'library/JanitorJSMin.php');		
	require_once(JANITOR_PLUGIN_PATH.'function.php');
}