<?php
if(get_option('janitor_switch_name1')=='on'){
    remove_action( 'wp_head', 'wp_generator' );
}
if(get_option('janitor_switch_name16')=='on'){
    remove_action( 'wp_head', 'wc_generator_tag' );
}
if(get_option('janitor_switch_name2')=='on'){
  remove_action( 'admin_print_styles', 'print_emoji_styles' );
  remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
  remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
  remove_action( 'wp_print_styles', 'print_emoji_styles' );
  remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
  remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
  remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
  

}
if(get_option('janitor_switch_name17')=='on'){
   add_filter( 'tiny_mce_plugins', 'janitor_disable_emojicons_tinymce' );
}
function janitor_disable_emojicons_tinymce( $plugins ) {
  if ( is_array( $plugins ) ) {
    return array_diff( $plugins, array( 'wpemoji' ) );
  } else {
    return array();
  }
}

if(get_option('janitor_switch_name3')=='on'){
   remove_action('wp_head', 'rsd_link');
}

if(get_option('janitor_switch_name4')=='on'){
   remove_action('wp_head', 'wlwmanifest_link');
}

if( get_option('janitor_switch_name5')=='on'){
	remove_action('wp_head', 'feed_links', 2);
	remove_action('wp_head', 'feed_links_extra', 3);
}

if( get_option('janitor_switch_name6')=='on' ){
	remove_action('wp_head', 'wp_shortlink_wp_head');
}

if( get_option('janitor_switch_name7')=='on' ){
	remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');
}

if( get_option('janitor_switch_name8')=='on' ){
	remove_action('wp_head', 'rest_output_link_wp_head');
}

if( get_option('janitor_switch_name9')=='on' ){
	add_action( 'widgets_init', 'janitor_remove_recent_comments_style' );
}

function janitor_remove_recent_comments_style(){
    global $wp_widget_factory;  
    remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );  
}

if( get_option('janitor_switch_name10')=='on' ){
	
add_filter( 'style_loader_src', 'janitor_remove_css_js_ver', 9999 );
add_filter( 'script_loader_src', 'janitor_remove_css_js_ver', 9999 );

}

function janitor_remove_css_js_ver( $src ) {
	if ( strpos( $src, 'ver=' ) )
		$src = remove_query_arg( 'ver', $src );
	return $src;
}

if( get_option('janitor_switch_name11')=='on' ){
	add_action( 'wp_enqueue_scripts',  'janitor_remove_head_script' );
}
function janitor_remove_head_script(){
    remove_action( 'wp_head', 'wp_print_scripts' ); 
    remove_action( 'wp_head', 'wp_print_head_scripts', 9 ); 
    remove_action( 'wp_head', 'wp_enqueue_scripts', 1 ); 
}

function janitor_add_script_footer() {
    add_action('wp_footer', 'wp_print_scripts', 5);
    add_action('wp_footer', 'wp_enqueue_scripts', 5);
    add_action('wp_footer', 'wp_print_head_scripts', 5);
}

if( get_option('janitor_switch_name12')=='on' ){
	add_action( 'after_setup_theme', 'janitor_disable_api' );
}
function janitor_disable_api () {

  add_filter('json_enabled', '__return_false');
  add_filter('json_jsonp_enabled', '__return_false');
  add_filter('rest_enabled', '__return_false');
  add_filter('rest_jsonp_enabled', '__return_false');
  
  remove_action( 'rest_api_init', 'wp_oembed_register_route' );

}

if( get_option('janitor_switch_name13')=='on' ){
    
    // Turn off oEmbed auto discovery.
	add_filter( 'embed_oembed_discover', '__return_false' );
	 // Don't filter oEmbed results.
	remove_filter( 'oembed_dataparse', 'wp_filter_oembed_result', 10 );
	 // Remove oEmbed discovery links.
	remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
	 // Remove oEmbed-specific JavaScript from the front-end and back-end.
	remove_action( 'wp_head', 'wp_oembed_add_host_js' );
    
}

if( get_option('janitor_switch_name14')=='on' ){
    
    add_filter('xmlrpc_enabled', '__return_false');
    
}



if( get_option('janitor_switch_name15')=='on'  ){
	add_action( 'get_header', 'janitor_minify_html_start', 999 );
}
function janitor_minify_html_start() {
    
        ob_start( 'janitor_minify_html_end' );        
}
function janitor_minify_html_end($html) {
    
        return HTMLMin::minify($html);
}