<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
class janitor_helper{
    
    static $nonce;
    
    public static function create_nonce($nounce_secret='ce-nonce') {
	
		if($nounce_secret=='ce-nonce') {
			
			if(isset( self::$nonce ) && !empty( self::$nonce )){
				return self::$nonce;
			}else {
				self::$nonce = wp_create_nonce($nounce_secret);	
				return self::$nonce;
			}
			
		}else {
			
			self::$nonce = wp_create_nonce($nounce_secret);	
			return self::$nonce;	
		}		       
    }
	
	/**
	 * What type of request is this?
	 * string $type ajax, frontend or admin
	 * @return bool
	 */
	public static function is_request( $type ) {
		switch ( $type ) {
			case 'admin' :
				return is_admin();
			case 'ajax' :
				return defined( 'DOING_AJAX' );
			case 'cron' :
				return defined( 'DOING_CRON' );
			case 'frontend' :
				return ( ! is_admin() || defined( 'DOING_AJAX' ) ) && ! defined( 'DOING_CRON' );
		}
	}
        
	
}